com.holonplatform.vaadin.flow.components.builders

## Interface ComponentConfigurator.BaseComponentConfigurator

- All Superinterfaces:
    ComponentConfigurator<ComponentConfigurator.BaseComponentConfigurator>, HasElementConfigurator<ComponentConfigurator.BaseComponentConfigurator>
  Enclosing interface:
    ComponentConfigurator<C extends ComponentConfigurator<C>>

      public static interface ComponentConfigurator.BaseComponentConfigurator
      extends ComponentConfigurator<ComponentConfigurator.BaseComponentConfigurator>

  Base component configurator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentConfigurator.BaseComponentConfigurator` | `create(com.vaadin.flow.component.Component component)` Create a new `ComponentConfigurator.BaseComponentConfigurator` on given `component`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

- - ### Method Detail

    - #### create

          static ComponentConfigurator.BaseComponentConfigurator create(com.vaadin.flow.component.Component component)

      Create a new `ComponentConfigurator.BaseComponentConfigurator` on given `component`.
      Parameters:
        `component` - Component to configure (not null)
      Returns:
        A new `ComponentConfigurator.BaseComponentConfigurator` to configure given component

Copyright © 2019 The Holon Platform. All rights reserved.